Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Register things

Prev Next
Post
/v2/inventory/things/import

Registers things which can be then activated by end-users.
The things are created in the DPS from a CSV file carrying their serial numbers, names, product models and custom properties, but they are not assigned to a customer yet: the assignment happens later, when the end-user activates the product.
This is the endpoint to integrate with the production line or the ERP, in order to register the products as soon as they are manufactured or shipped.

Required permissions: REGISTER_THING.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The serial-numbers and properties of the things being registered.

object
file
string (binary)

The CSV file with this header:

serialNumber,name,productModelName,parentThingSerialNumber,productModelPartName,properties.foo,properties.bar

For more details, see the Product Registration article.

Responses
200

Successfully registered.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error